Summary:	libFS - X Font Service client library
Summary(pl.UTF-8):	libFS - biblioteka kliencka usługi fontów X (X Font Service)
Name:		xorg-lib-libFS
Version:	1.0.10
Release:	1%{?tld}
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libFS-%{version}.tar.xz
# Source0-md5:	c5cc0942ed39c49b8fcd47a427bd4305
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.70
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains libFS, an X Font Service client library. It's
used by clients of X Font Servers (xfs), such as xfsinfo, xfslsfonts,
and the X servers themselves.

%description -l pl.UTF-8
Ten pakiet zawiera libFS - bibliotekę kliencką usługi fontów X (X Font
Service). Jest ona używana przez klientów serwerów fontów X (xfs - X
Font Servers), takich jak xfsinfo, xfslsfonts czy same serwery X.

%package devel
Summary:	Header files for libFS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libFS
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-fontsproto-devel
Requires:	xorg-proto-xproto-devel >= 7.0.17

%description devel
libFS - biblioteka kliencka usługi fontów X (X Font Service).

This package contains the header files needed to develop programs that
use libFS.

%description devel -l pl.UTF-8
libFS - biblioteka kliencka usługi fontów X (X Font Service).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libFS.

%package static
Summary:	Static libFS library
Summary(pl.UTF-8):	Biblioteka statyczna libFS
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libFS - biblioteka kliencka usługi fontów X (X Font Service).

This package contains the static libFS library.

%description static -l pl.UTF-8
libFS - biblioteka kliencka usługi fontów X (X Font Service).

Pakiet zawiera statyczną bibliotekę libFS.

%prep
%setup -q -n libFS-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libFS/FSlib.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libFS.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFS.so.6

%files devel
%defattr(644,root,root,755)
%doc doc/FSlib.txt
%attr(755,root,root) %{_libdir}/libFS.so
%{_libdir}/libFS.la
%{_includedir}/X11/fonts/FSlib.h
%{_pkgconfigdir}/libfs.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libFS.a
%changelog
* Tue Dec 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libFS.git;a=log;h=master

* Sun Aug 11 2024 Jakub Bogusz <qboosh@pld-linux.org> ea7dd74
- updated to 1.0.10

* Sat Mar 18 2023 Jakub Bogusz <qboosh@pld-linux.org> d934df3
- updated to 1.0.9

* Tue Mar 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 8711bc4
- updated to 1.0.8

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> aef5b7c
- updated to 1.0.7

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 438a2c4
- x32 rebuild
- release 2 (by relup.sh)

* Tue Mar 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 58af43e
- updated to 1.0.6

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 58d5cee
- up to 1.0.5; fixes CVE-2013-1996

* Sat Mar 03 2012 Jakub Bogusz <qboosh@pld-linux.org> f3d5bad
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b09b179
- dropped pre-cvs changelog

* Wed Oct 27 2010 Jakub Bogusz <qboosh@pld-linux.org> 2c45c32
- updated to 1.0.3

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> ffae7ae
- updated util-macros version
- more verbose file and descs
- added README to doc

* Wed Jul 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fbf90d
- up to 1.0.2

* Mon May 26 2008 Jakub Bogusz <qboosh@pld-linux.org> a49f737
- updated to 1.0.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 36f023b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bad1f13
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d743483
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> eb726cb
- rebuild

* Sun Apr 16 2006 Jakub Bogusz <qboosh@pld-linux.org> cf3497f
- release 1

* Tue Dec 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 55c9dde
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 00888be
- 1.0.0 (X11R7.0-RC4)

